This API is a request to resend EVM-based transactions that are stuck due to insufficient gas fee. Transactions that are broadcasted on the network, but remain unconfirmed for 10 or more minutes, are considered as stuck transactions. The API automatically detects such transactions and resubmits them based on the feeMultiplier configured, using the replace-by-fee (RBF) mechanism, ensuring they are confirmed. If multiple transactions are stuck, the API will first resend the transaction with the lowest nonce.
Transactions that are broadcast on the network but remain unconfirmed for 10 or more minutes are considered stuck transactions. The API automatically detects such transactions and resubmits them based on the feeMultiplier configured, using the replace-by-fee (RBF) mechanism, ensuring they are confirmed. If multiple transactions are stuck, the API will first resend the transaction with the lowest nonce.
Recommended
We recommend setting up a CRON job for each wallet.
We recommend executing this API in your system at a minimum interval of two minutes to facilitate successful transaction mining.
This API is specially designed for resubmitting transactions of hot withdrawal wallets.
If the
feeMultiplierparameter is not specified in the request body, the defaultfeeMultiplierfor all EVM chains is 2.If the
maxGasPriceis not configured in the request body, themaxGasPricefor different chains in this API will be as follows:
Chain Maximum Gas Price (Gwei) Maximum Gas Price (Wei) Arbitrum 400 400000000000 Avalanche 400 400000000000 Base 400 400000000000 Bahamut 1800 1800000000000 Binance Smart Chain (BSC) 20 20000000000 Celo 400 400000000000 Ethereum 100 100000000000 Kaia 25 25000000000 Optimism 400 400000000000 Polygon 1000 1000000000000 Telos 400 400000000000
